<?php

namespace Drupal\menu_block_settings_override\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;

/**
 * Plugin implementation of the 'field_no_settings' formatter.
 *
 * @FieldFormatter(
 *   id = "menu_block_settings_override_formatter",
 *   label = @Translation("Menu block settings override"),
 *   field_types = {
 *     "menu_block_settings_override",
 *   },
 *   weight = -10
 * )
 */
class MenuBlockSettingsOverrideFormatter extends FormatterBase
{

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode)
  {
    return [];
  }

}
